
! Copyright (C) 2018 T. Mueller, J. K. Dewhurst, S. Sharma and E. K. U. Gross.
! This file is distributed under the terms of the GNU General Public License.
! See the file COPYING for license details.

subroutine mixpacku(tpack,n,v)
use modmain
use modulr
implicit none
! arguments
logical, intent(in) :: tpack
integer, intent(out) :: n
real(8), intent(inout) :: v(*)
! local variables
integer iq,idm
n=0
! pack or unpack the Kohn-Sham long-range potential
do iq=1,nqpt
  call zfpack(tpack,n,npcmt,npcmtmax,vsqmt(:,:,iq),vsqir(:,iq),v)
end do
if (spinpol) then
  do iq=1,nqpt
    do idm=1,ndmag
      call zfpack(tpack,n,npcmt,npcmtmax,bsqmt(:,:,idm,iq),bsqir(:,idm,iq),v)
    end do
  end do
end if
return
end subroutine

